%define upstream_name RPM2
%define upstream_version 1.4

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Perl bindings for the RPM Package Manager API
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LK/LKUNDRAK/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:         %{name}-1.0-testplan.patch
BuildRequires:  pkgconfig(rpm) >= 4.12.90
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)
# Tests
BuildRequires:  perl(Test)
BuildRequires:  perl(POSIX)

%{?perl_default_filter}

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem, providing Perl
bindings for the RPM Package Manager API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%check
#./Build test verbose=1

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/RPM2*
%{_mandir}/man3/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.400.0-6.mga10
+ Revision: 2087907
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 1.400.0-5.mga10
+ Revision: 2009919
- Rebuild for perl-5.38

* Sun Nov 12 2023 daviddavid <daviddavid> 1.400.0-4.mga10
+ Revision: 2006240
- rebuild for new rpm 4.19.0

* Thu Aug 04 2022 tv <tv> 1.400.0-3.mga9
+ Revision: 1875104
- Rebuild for perl-5.36

* Mon Mar 28 2022 umeabot <umeabot> 1.400.0-2.mga9
+ Revision: 1829691
- Mageia 9 Mass Rebuild

* Tue Jul 21 2020 tv <tv> 1.400.0-1.mga8
+ Revision: 1607549
- update to 1.4

* Sat Jul 18 2020 tv <tv> 1.300.0-9.mga8
+ Revision: 1606994
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sun Feb 16 2020 umeabot <umeabot> 1.300.0-8.mga8
+ Revision: 1532185
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.300.0-7.mga8
+ Revision: 1441888
- rebuild for rpm-4.15

* Fri Sep 21 2018 umeabot <umeabot> 1.300.0-6.mga7
+ Revision: 1293709
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.300.0-5.mga7
+ Revision: 1250337
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.300.0-4.mga7
+ Revision: 1166406
- rebuild with fixed rpm for missing autodeps

* Fri Sep 01 2017 tv <tv> 1.300.0-3.mga7
+ Revision: 1150507
- patch 0: fix build with new rpm
- rebuild for new rpm

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-2.mga6
+ Revision: 1032961
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 tv <tv> 1.300.0-1.mga6
+ Revision: 978945
- drop merged patch
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-19.mga6
+ Revision: 957945
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 tv <tv> 1.0.0-18.mga6
+ Revision: 873245
- submit to core/release

* Sun Aug 23 2015 tv <tv> 1.0.0-17.mga6
+ Revision: 868819
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 1.0.0-16.mga6
+ Revision: 860463
- rebuild for rpm-4.13

* Thu Jun 25 2015 tv <tv> 1.0-15.mga6
+ Revision: 843525
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 1.0-14.mga6
+ Revision: 841743
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.0-13.mga5
+ Revision: 751196
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0-12.mga5
+ Revision: 686077
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0-11.mga5
+ Revision: 631609
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0-10.mga4
+ Revision: 525122
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0-9.mga4
+ Revision: 432289
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0-8.mga4
+ Revision: 432152
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-7.mga3
+ Revision: 372184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.0-6.mga3
+ Revision: 332298
- rebuild for new rpm

* Thu Sep 27 2012 shlomif <shlomif> 1.0-5.mga3
+ Revision: 298689
- Updated Group to Development/Perl. New release - mkrel 5

* Thu Jun 14 2012 tv <tv> 1.0-4.mga3
+ Revision: 260500
- use %%apply_patches
- fix build with new rpm-4.10.0
- rebuild for new rpm-4.10.0

* Wed May 30 2012 jquelin <jquelin> 1.0-3.mga3
+ Revision: 251090
- rebuild for perl 5.16

* Wed Dec 28 2011 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 188461
- Rebuild against new rpm

* Fri Oct 07 2011 tv <tv> 1.0-1.mga2
+ Revision: 152853
- BR perl-devel
- imported package perl-RPM2


* Fri Oct 07 2011 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1
- initial release
